using System;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;


namespace Simple_Image2PDF_Csharp_example
{
    class Program
    {
        static void ShowError(string which, UInt32 err)
        {
            string message = which + " returned error " + err;
            MessageBox.Show(message, "Error Returned From Image2PDF DLL", MessageBoxButtons.OK);
        }

        static void Main(string[] args)
        {
            UInt32          err;
            String          imageFilename;
            String          pdfFilename;
            StringBuilder   errorText = new StringBuilder(1000);
        
            imageFilename   = "test.jpg";
            pdfFilename     = "test.pdf";

            err = Win32.I2PDF_AddImage(imageFilename);
            if (err > 0)
            {
                ShowError("I2PDF_AddImage", err);
                return;
            }

            err = Win32.I2PDF_SetDPI(96);
            if (err > 0)
            {
                ShowError("I2PDF_SetDPI", err);
                return;
            }

            err = Win32.I2PDF_MakePDF(pdfFilename, Win32.OPTION_OPEN_PDF, errorText, errorText.Capacity);
            if (err > 0)
            {
                if (err == 3)
                    ShowError(errorText.ToString(), err);
                else
                    ShowError("I2PDF_MakePDF", err);
            }
        }
    }
}
